## com.sun.jersey.spi.uri.rules
Interface UriMatchResultContext

All Superinterfaces:
  Traceable

All Known Subinterfaces:
  UriRuleContext

    public interface UriMatchResultContext

extends Traceable

The context for matching URI rules.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.util.regex.MatchResult` | `getMatchResult()` Get the match result
`void` | `setMatchResult(java.util.regex.MatchResult mr)` Set the match result

Methods inherited from interface com.sun.jersey.api.core.Traceable
`isTracingEnabled, trace`

Method Detail

### getMatchResult

    java.util.regex.MatchResult getMatchResult()

  Get the match result

  Returns:
    the match result.

### setMatchResult

    void setMatchResult(java.util.regex.MatchResult mr)

  Set the match result

  Parameters:
    `mr` - the match result.

Copyright © 2017 Oracle Corporation. All Rights Reserved.